Class CppSettings

This class manages settings concerning C++, configured through
the 'Generation settings' dialog.
This class may be defined as a 'singleton', but I prefer to use static
members allowing to just write 'CppSettings::member' rather than
'CppSettings::instance()->member' or other long sentence like this.

Declaration :

- C++ : class CppSettings : public UmlSettings
- Java : final class CppSettings extends UmlSettings

Artifact : CppSettings

Operation useDefaults

returns TRUE when the created C++ objects are initialized
with the default declaration/definition

Declaration :

- Uml : static, + useDefaults() : bool
- C++ : public: static bool useDefaults()
- Java : public static boolean useDefaults()

Operation set_UseDefaults

if y is TRUE the future created C++ objects will be initialized
with the default declaration/definition
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_UseDefaults(in y : bool) : bool, exceptions : RuntimeException
- C++ : public: static bool set_UseDefaults(bool y)
- Java : public static void set_UseDefaults(boolean y) throws RuntimeException

Operation type

returns the C++ type corresponding to the 'UML' type given in
argument, as it is configured in the first 'Generation settings'
dialog's tab

Declaration :

- Uml : static, + type(in s : string) : string
- C++ : public: static QCString type(QCString s)
- Java : public static String type(String s)

Operation set_Type

set the C++ type corresponding to the 'UML' type given in
argument, as it is configured in the first 'Generation settings'
dialog's tab
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_Type(in s : string, in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_Type(QCString s, QCString v)
- Java : public static void set_Type(String s, String v) throws RuntimeException

Operation umlType

reverse of the Type() operation, returns the 'UML' type corresponding
to the C++ type given in argument

Declaration :

- Uml : static, + umlType(in s : string) : string
- C++ : public: static QCString umlType(QCString s)
- Java : public static String umlType(String s)

Operation relationAttributeStereotype

returns the C++ stereotype corresponding to the 'UML' stereotype given
in argument

Declaration :

- Uml : static, + relationAttributeStereotype(in s : string) : string
- C++ : public: static QCString relationAttributeStereotype(QCString s)
- Java : public static String relationAttributeStereotype(String s)

Operation set_RelationAttributeStereotype

set the C++ stereotype corresponding to the 'UML' stereotype given
in argument
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_RelationAttributeStereotype(in s : string, in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_RelationAttributeStereotype(QCString s, QCString v)
- Java : public static void set_RelationAttributeStereotype(String s, String v) throws RuntimeException

Operation relationAttributeUmlStereotype

reverse of the RelationAttributeStereotype() operation, returns the 'UML'
stereotype corresponding to the C++ one given in argument

Declaration :

- Uml : static, + relationAttributeUmlStereotype(in s : string) : string
- C++ : public: static QCString relationAttributeUmlStereotype(QCString s)
- Java : public static String relationAttributeUmlStereotype(String s)

Operation classStereotype

returns the C++ stereotype corresponding to the 'UML' stereotype given
in argument

Declaration :

- Uml : static, + classStereotype(in s : string) : string
- C++ : public: static QCString classStereotype(QCString s)
- Java : public static String classStereotype(String s)

Operation set_ClassStereotype

set the C++ stereotype corresponding to the 'UML' stereotype given
in argument
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_ClassStereotype(in s : string, in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_ClassStereotype(QCString s, QCString v)
- Java : public static void set_ClassStereotype(String s, String v) throws RuntimeException

Operation classUmlStereotype

reverse of the ClassStereotype() operation, returns the 'UML'
stereotype corresponding to the C++ one given in argument

Declaration :

- Uml : static, + classUmlStereotype(in s : string) : string
- C++ : public: static QCString classUmlStereotype(QCString s)
- Java : public static String classUmlStereotype(String s)

Operation include

returns the #include or other form specified in the last
'Generation settings' tab for the C++ type given in argument.

Declaration :

- Uml : static, + include(in s : string) : string
- C++ : public: static QCString include(QCString s)
- Java : public static String include(String s)

Operation set_Include

set the #include or other form specified in the last
'Generation settings' tab for the C++ type given in argument.
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_Include(in s : string, in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_Include(QCString s, QCString v)
- Java : public static void set_Include(String s, String v) throws RuntimeException

Operation rootDir

returns the 'root' directory

Declaration :

- Uml : static, + rootDir() : string
- C++ : public: static QCString rootDir()
- Java : public static String rootDir()

Operation set_RootDir

set the 'root' directory
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_RootDir(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_RootDir(QCString v)
- Java : public static void set_RootDir(String v) throws RuntimeException

Operation headerContent

returns the default header file content

Declaration :

- Uml : static, + headerContent() : string
- C++ : public: static QCString headerContent()
- Java : public static String headerContent()

Operation set_HeaderContent

set the default header file content
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_HeaderContent(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_HeaderContent(QCString v)
- Java : public static void set_HeaderContent(String v) throws RuntimeException

Operation sourceContent

returns the default source file content

Declaration :

- Uml : static, + sourceContent() : string
- C++ : public: static QCString sourceContent()
- Java : public static String sourceContent()

Operation set_SourceContent

set the default source file content
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_SourceContent(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_SourceContent(QCString v)
- Java : public static void set_SourceContent(String v) throws RuntimeException

Operation headerExtension

returns the extension of the header files produced by the
C++ code generator

Declaration :

- Uml : static, + headerExtension() : string
- C++ : public: static QCString headerExtension()
- Java : public static String headerExtension()

Operation set_HeaderExtension

set the extension of the header files produced by the
C++ code generator
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_HeaderExtension(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_HeaderExtension(QCString v)
- Java : public static void set_HeaderExtension(String v) throws RuntimeException

Operation sourceExtension

returns the extension of the source files produced by the
C++ code generator

Declaration :

- Uml : static, + sourceExtension() : string
- C++ : public: static QCString sourceExtension()
- Java : public static String sourceExtension()

Operation set_SourceExtension

set the extension of the source files produced by the
C++ code generator
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_SourceExtension(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_SourceExtension(QCString v)
- Java : public static void set_SourceExtension(String v) throws RuntimeException

Operation reverseRoundtripDirRegExp

return the regular expression used to bypass
dir s on reverse/roundtrip

Declaration :

- Uml : static, + reverseRoundtripDirRegExp() : string
- C++ : public: static QCString reverseRoundtripDirRegExp()
- Java : public static String reverseRoundtripDirRegExp()

Operation isReverseRoundtripDirRegExpCaseSensitive

return if the regular expression used to bypass
dir s on reverse/roundtrip is case sensitive

Declaration :

- Uml : static, + isReverseRoundtripDirRegExpCaseSensitive() : bool
- C++ : public: static bool isReverseRoundtripDirRegExpCaseSensitive()
- Java : public static boolean isReverseRoundtripDirRegExpCaseSensitive()

Operation set_ReverseRoundtripDirRegExp

set the regular expression used to bypass
dir s on reverse/roundtrip
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_ReverseRoundtripDirRegExp(in s : string, in cs : bool) : bool
- C++ : public: static bool set_ReverseRoundtripDirRegExp(QCString s, bool cs)
- Java : public static void set_ReverseRoundtripDirRegExp(String s, boolean cs)

Operation reverseRoundtripFileRegExp

return the regular expression used to bypass
file s on reverse/roundtrip

Declaration :

- Uml : static, + reverseRoundtripFileRegExp() : string
- C++ : public: static QCString reverseRoundtripFileRegExp()
- Java : public static String reverseRoundtripFileRegExp()

Operation isReverseRoundtripFileRegExpCaseSensitive

return if the regular expression used to bypass
file s on reverse/roundtrip is case sensitive

Declaration :

- Uml : static, + isReverseRoundtripFileRegExpCaseSensitive() : bool
- C++ : public: static bool isReverseRoundtripFileRegExpCaseSensitive()
- Java : public static boolean isReverseRoundtripFileRegExpCaseSensitive()

Operation set_ReverseRoundtripFileRegExp

set the regular expression used to bypass
file s on reverse/roundtrip
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_ReverseRoundtripFileRegExp(in s : string, in cs : bool) : bool
- C++ : public: static bool set_ReverseRoundtripFileRegExp(QCString s, bool cs)
- Java : public static void set_ReverseRoundtripFileRegExp(String s, boolean cs)

Operation includeWithPath

indicates to the code generator if the #include may specify
the path of just the file's name

Declaration :

- Uml : static, + includeWithPath() : bool
- C++ : public: static bool includeWithPath()
- Java : public static boolean includeWithPath()

Operation set_IncludeWithPath

to indicates to the code generator if the #include may specify
the path of just the file's name
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_IncludeWithPath(in v : bool) : bool, exceptions : RuntimeException
- C++ : public: static bool set_IncludeWithPath(bool v)
- Java : public static void set_IncludeWithPath(boolean v) throws RuntimeException

Operation isRelativePath

return if a relative path must be used when the path
must be generated in the produced #includes

Declaration :

- Uml : static, + isRelativePath() : bool
- C++ : public: static bool isRelativePath()
- Java : public static boolean isRelativePath()

Operation set_IsRelativePath

set if a relative path must be used when the path
must be generated in the produced #includes
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_IsRelativePath(in v : bool) : bool
- C++ : public: static bool set_IsRelativePath(bool v)
- Java : public static void set_IsRelativePath(boolean v)

Operation isRootRelativePath

return if a path relative to the project root must be used
when the path must be generated in the produced #includes

Declaration :

- Uml : static, + isRootRelativePath() : bool
- C++ : public: static bool isRootRelativePath()
- Java : public static boolean isRootRelativePath()

Operation set_IsRootRelativePath

set if a relative to the project root path must be used
when the path must be generated in the produced #includes
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_IsRootRelativePath(in v : bool) : bool
- C++ : public: static bool set_IsRootRelativePath(bool v)
- Java : public static void set_IsRootRelativePath(boolean v)

Operation isForceNamespacePrefixGeneration

return if the namespace prefix must be
always generated before class's names

Declaration :

- Uml : static, + isForceNamespacePrefixGeneration() : bool
- C++ : public: static bool isForceNamespacePrefixGeneration()
- Java : public static boolean isForceNamespacePrefixGeneration()

Operation set_IsForceNamespacePrefixGeneration

set if the namespace prefix must be always generated before class's names
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_IsForceNamespacePrefixGeneration(in v : bool) : bool
- C++ : public: static bool set_IsForceNamespacePrefixGeneration(bool v)
- Java : public static void set_IsForceNamespacePrefixGeneration(boolean v)

Operation isInlineOperationForceIncludesInHeader

return if the fact an operation is inline force the header of the
types referenced in the profile to be included in the header

Declaration :

- Uml : static, + isInlineOperationForceIncludesInHeader() : bool, exceptions : RuntimeException
- C++ : public: static bool isInlineOperationForceIncludesInHeader()
- Java : public static boolean isInlineOperationForceIncludesInHeader() throws RuntimeException

Operation set_IsInlineOperationForceIncludesInHeader

set if the fact an operation is inline force the header of the
types referenced in the profile to be included in the header
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_IsInlineOperationForceIncludesInHeader(in v : bool) : bool, exceptions : RuntimeException
- C++ : public: static bool set_IsInlineOperationForceIncludesInHeader(bool v)
- Java : public static void set_IsInlineOperationForceIncludesInHeader(boolean v) throws RuntimeException

Operation isGenerateJavadocStyleComment

return if generate Javadoc style comment

Declaration :

- Uml : static, + isGenerateJavadocStyleComment() : bool
- C++ : public: static bool isGenerateJavadocStyleComment()
- Java : public static boolean isGenerateJavadocStyleComment()

Operation set_IsGenerateJavadocStyleComment

set if generate Javadoc style comment
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_IsGenerateJavadocStyleComment(in v : bool) : bool
- C++ : public: static bool set_IsGenerateJavadocStyleComment(bool v)
- Java : public static void set_IsGenerateJavadocStyleComment(boolean v)

Operation enumIn

returns the default operation 'in' parameter specification
in case its type is an enum

Declaration :

- Uml : static, + enumIn() : string
- C++ : public: static const QCString & enumIn()
- Java : public static String enumIn()

Operation set_EnumIn

set the default operation 'in' parameter specification
in case its type is an enum
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_EnumIn(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_EnumIn(QCString v)
- Java : public static void set_EnumIn(String v) throws RuntimeException

Operation enumOut

returns the default operation 'out' parameter specification
in case its type is an enum

Declaration :

- Uml : static, + enumOut() : string
- C++ : public: static const QCString & enumOut()
- Java : public static String enumOut()

Operation set_EnumOut

set the default operation 'out' parameter specification
in case its type is an enum
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_EnumOut(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_EnumOut(QCString v)
- Java : public static void set_EnumOut(String v) throws RuntimeException

Operation enumInout

returns the default operation 'inout' parameter specification
in case its type is an enum

Declaration :

- Uml : static, + enumInout() : string
- C++ : public: static const QCString & enumInout()
- Java : public static String enumInout()

Operation set_EnumInout

set the default operation 'inout' parameter specification
in case its type is an enum
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_EnumInout(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_EnumInout(QCString v)
- Java : public static void set_EnumInout(String v) throws RuntimeException

Operation enumReturn

return the default operation value type form

Declaration :

- Uml : static, + enumReturn() : string
- C++ : public: static QCString enumReturn()
- Java : public static String enumReturn()

Operation set_EnumReturn

set the default operation value type form
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_EnumReturn(in v : string) : bool
- C++ : public: static bool set_EnumReturn(QCString v)
- Java : public static void set_EnumReturn(String v)

Operation builtinIn

returns the default operation 'in' parameter specification
in case its type is specified in the first 'Generation
settings' tab, else an empty string/null

Declaration :

- Uml : static, + builtinIn(in s : string) : string
- C++ : public: static QCString builtinIn(QCString s)
- Java : public static String builtinIn(String s)

Operation set_BuiltinIn

set the default operation 'in' parameter specification
in case its type is specified in the first 'Generation
settings' tab
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_BuiltinIn(in type : string, in form : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_BuiltinIn(QCString type, QCString form)
- Java : public static void set_BuiltinIn(String type, String form) throws RuntimeException

Operation builtinOut

returns the default operation 'out' parameter specification
in case its type is specified in the first 'Generation
settings' tab, else an empty string/null

Declaration :

- Uml : static, + builtinOut(in s : string) : string
- C++ : public: static QCString builtinOut(QCString s)
- Java : public static String builtinOut(String s)

Operation set_BuiltinOut

set the default operation 'out' parameter specification
in case its type is specified in the first 'Generation
settings' tab
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_BuiltinOut(in type : string, in form : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_BuiltinOut(QCString type, QCString form)
- Java : public static void set_BuiltinOut(String type, String form) throws RuntimeException

Operation builtinInOut

returns the default operation 'inout' parameter specification
in case its type is specified in the first 'Generation
settings' tab, else an empty string/null

Declaration :

- Uml : static, + builtinInOut(in s : string) : string
- C++ : public: static QCString builtinInOut(QCString s)
- Java : public static String builtinInOut(String s)

Operation set_BuiltinInOut

set the default operation 'inout' parameter specification
in case its type is specified in the first 'Generation
settings' tab
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_BuiltinInOut(in type : string, in form : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_BuiltinInOut(QCString type, QCString form)
- Java : public static void set_BuiltinInOut(String type, String form) throws RuntimeException

Operation builtinReturn

returns the default operation 'return' parameter specification
in case its type is specified in the first 'Generation
settings' tab, else an empty string/null

Declaration :

- Uml : static, + builtinReturn(in s : string) : string
- C++ : public: static QCString builtinReturn(QCString s)
- Java : public static String builtinReturn(String s)

Operation set_BuiltinReturn

set the default operation 'return' parameter specification
in case its type is specified in the first 'Generation
settings' tab
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_BuiltinReturn(in type : string, in form : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_BuiltinReturn(QCString type, QCString form)
- Java : public static void set_BuiltinReturn(String type, String form) throws RuntimeException

Operation in

returns the default operation 'in' parameter specification
in case its type is not an enum or a type specified in the
first 'Generation settings' tab

Declaration :

- Uml : static, + in() : string
- C++ : public: static const QCString & in()
- Java : public static String in()

Operation set_In

set the default operation 'in' parameter specification
in case its type is not an enum or a type specified in the
first 'Generation settings' tab
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_In(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_In(QCString v)
- Java : public static void set_In(String v) throws RuntimeException

Operation out

returns the default operation 'out' parameter specification
in case its type is not an enum or a type specified in the
first 'Generation settings' tab

Declaration :

- Uml : static, + out() : string
- C++ : public: static const QCString & out()
- Java : public static String out()

Operation set_Out

set the default operation 'out' parameter specification
in case its type is not an enum or a type specified in the
first 'Generation settings' tab
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_Out(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_Out(QCString v)
- Java : public static void set_Out(String v) throws RuntimeException

Operation inout

returns the default operation 'inout' parameter specification
in case its type is not an enum or a type specified in the
first 'Generation settings' tab

Declaration :

- Uml : static, + inout() : string
- C++ : public: static const QCString & inout()
- Java : public static String inout()

Operation set_Inout

set the default operation 'inout' parameter specification
in case its type is not an enum or a type specified in the
first 'Generation settings' tab
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_Inout(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_Inout(QCString v)
- Java : public static void set_Inout(String v) throws RuntimeException

Operation Return

return the default operation value type form

Declaration :

- Uml : static, + Return() : string
- C++ : public: static QCString Return()
- Java : public static String Return()

Operation set_Return

set the default operation value type form
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_Return(in v : string) : bool
- C++ : public: static bool set_Return(QCString v)
- Java : public static void set_Return(String v)

Operation classDecl

returns the default definition of a class

Declaration :

- Uml : static, + classDecl() : string
- C++ : public: static const QCString & classDecl()
- Java : public static String classDecl()

Operation set_ClassDecl

set the default definition of a class
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_ClassDecl(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_ClassDecl(QCString v)
- Java : public static void set_ClassDecl(String v) throws RuntimeException

Operation externalClassDecl

returns the default specification for an 'external' class

Declaration :

- Uml : static, + externalClassDecl() : string
- C++ : public: static const QCString & externalClassDecl()
- Java : public static String externalClassDecl()

Operation set_ExternalClassDecl

set the default specification for an 'external' class
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_ExternalClassDecl(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_ExternalClassDecl(QCString v)
- Java : public static void set_ExternalClassDecl(String v) throws RuntimeException

Operation structDecl

returns the default definition of a struct

Declaration :

- Uml : static, + structDecl() : string
- C++ : public: static const QCString & structDecl()
- Java : public static String structDecl()

Operation set_StructDecl

set the default definition of a struct
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_StructDecl(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_StructDecl(QCString v)
- Java : public static void set_StructDecl(String v) throws RuntimeException

Operation unionDecl

returns the default definition of an union

Declaration :

- Uml : static, + unionDecl() : string
- C++ : public: static const QCString & unionDecl()
- Java : public static String unionDecl()

Operation set_UnionDecl

set the default definition of an union
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_UnionDecl(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_UnionDecl(QCString v)
- Java : public static void set_UnionDecl(String v) throws RuntimeException

Operation enumDecl

returns the default definition of an enum

Declaration :

- Uml : static, + enumDecl() : string
- C++ : public: static const QCString & enumDecl()
- Java : public static String enumDecl()

Operation set_EnumDecl

set the default definition of an enum
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_EnumDecl(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_EnumDecl(QCString v)
- Java : public static void set_EnumDecl(String v) throws RuntimeException

Operation typedefDecl

returns the default definition of a typedef

Declaration :

- Uml : static, + typedefDecl() : string
- C++ : public: static const QCString & typedefDecl()
- Java : public static String typedefDecl()

Operation set_TypedefDecl

set the default definition of a typedef
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_TypedefDecl(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_TypedefDecl(QCString v)
- Java : public static void set_TypedefDecl(String v) throws RuntimeException

Operation attributeDecl

returns the default definition of an attribute depending on the multiplicity

Declaration :

- Uml : static, + attributeDecl(in multiplicity : str) : string
- C++ : public: static const QCString & attributeDecl(const char * multiplicity)
- Java : public static String attributeDecl(String multiplicity)

Operation set_AttributeDecl

set the default definition of an attribute
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_AttributeDecl(in multiplicity : str, in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_AttributeDecl(const char * multiplicity, QCString v)
- Java : public static void set_AttributeDecl(String multiplicity, String v) throws RuntimeException

Operation enumItemDecl

returns the default definition of an enumeration item

Declaration :

- Uml : static, + enumItemDecl() : string
- C++ : public: static const QCString & enumItemDecl()
- Java : public static String enumItemDecl()

Operation set_EnumItemDecl

set the default definition of an enumeration item
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_EnumItemDecl(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_EnumItemDecl(QCString v)
- Java : public static void set_EnumItemDecl(String v) throws RuntimeException

Operation relationDecl

returns the default definition of a relation depending on it is an
aggregation by value or not and the multiplicity, given in argument.

Declaration :

- Uml : static, + relationDecl(in by_value : bool, in multiplicity : str) : string
- C++ : public: static const QCString & relationDecl(bool by_value, const char * multiplicity)
- Java : public static String relationDecl(boolean by_value, String multiplicity)

Operation set_RelationDecl

set the default definition of a relation depending on it is an
aggregation by value or not and the multiplicity, given in argument.
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_RelationDecl(in by_value : bool, in multiplicity : str, in v : str) : bool, exceptions : RuntimeException
- C++ : public: static bool set_RelationDecl(bool by_value, const char * multiplicity, const char * v)
- Java : public static void set_RelationDecl(boolean by_value, String multiplicity, String v) throws RuntimeException

Operation operationDecl

returns the default declaration of an operation

Declaration :

- Uml : static, + operationDecl() : string
- C++ : public: static const QCString & operationDecl()
- Java : public static String operationDecl()

Operation set_OperationDecl

set the default declaration of an operation
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_OperationDecl(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_OperationDecl(QCString v)
- Java : public static void set_OperationDecl(String v) throws RuntimeException

Operation operationDef

returns the default definition of an operation

Declaration :

- Uml : static, + operationDef() : string
- C++ : public: static const QCString & operationDef()
- Java : public static String operationDef()

Operation set_OperationDef

set the default definition of an operation
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_OperationDef(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_OperationDef(QCString v)
- Java : public static void set_OperationDef(String v) throws RuntimeException

Operation operationForceThrow

return TRUE if the operations profile must contain 'throw()'
when the operations does not have exception

Declaration :

- Uml : static, + operationForceThrow() : bool
- C++ : public: static bool operationForceThrow()
- Java : public static boolean operationForceThrow()

Operation set_OperationForceThrow

set if the operations profile must contain 'throw()'
when the operations does not have exception
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_OperationForceThrow(in v : bool) : bool, exceptions : RuntimeException
- C++ : public: static bool set_OperationForceThrow(bool v)
- Java : public static void set_OperationForceThrow(boolean v) throws RuntimeException

Operation getVisibility

returns the default visibility of a 'get' operation generated
through the attribute and relation 'add get operation' menu

Declaration :

- Uml : static, + getVisibility() : aVisibility
- C++ : public: static aVisibility getVisibility()
- Java : public static aVisibility getVisibility()

Operation set_GetVisibility

set the default visibility of a 'get' operation generated
through the attribute and relation 'add get operation' menu
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_GetVisibility(in v : aVisibility) : bool, exceptions : RuntimeException
- C++ : public: static bool set_GetVisibility(aVisibility v)
- Java : public static void set_GetVisibility(aVisibility v) throws RuntimeException

Operation getName

returns the default name of a 'get' operation generated
through the attribute and relation 'add get operation' menu

Declaration :

- Uml : static, + getName() : string
- C++ : public: static const QCString & getName()
- Java : public static String getName()

Operation set_GetName

set the default name of a 'get' operation generated
through the attribute and relation 'add get operation' menu
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_GetName(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_GetName(QCString v)
- Java : public static void set_GetName(String v) throws RuntimeException

Operation isGetInline

returns if a 'get' operation generated through the attribute
and relation 'add get operation' menu is inline by default

Declaration :

- Uml : static, + isGetInline() : bool
- C++ : public: static bool isGetInline()
- Java : public static boolean isGetInline()

Operation set_IsGetInline

set if a 'get' operation generated through the attribute
and relation 'add get operation' menu is inline by default
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_IsGetInline(in v : bool) : bool, exceptions : RuntimeException
- C++ : public: static bool set_IsGetInline(bool v)
- Java : public static void set_IsGetInline(boolean v) throws RuntimeException

Operation isGetConst

returns if a 'get' operation generated through the attribute
and relation 'add get operation' menu is const by default

Declaration :

- Uml : static, + isGetConst() : bool
- C++ : public: static bool isGetConst()
- Java : public static boolean isGetConst()

Operation set_IsGetConst

set if a 'get' operation generated through the attribute
and relation 'add get operation' menu is const by default
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_IsGetConst(in v : bool) : bool, exceptions : RuntimeException
- C++ : public: static bool set_IsGetConst(bool v)
- Java : public static void set_IsGetConst(boolean v) throws RuntimeException

Operation isGetValueConst

returns if the value returned by a 'get' operation generated through
the attribute and relation 'add get operation' menu is const by default

Declaration :

- Uml : static, + isGetValueConst() : bool
- C++ : public: static bool isGetValueConst()
- Java : public static boolean isGetValueConst()

Operation set_IsGetValueConst

set if the value returned by a 'get' operation generated through
the attribute and relation 'add get operation' menu is const by default
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_IsGetValueConst(in v : bool) : bool, exceptions : RuntimeException
- C++ : public: static bool set_IsGetValueConst(bool v)
- Java : public static void set_IsGetValueConst(boolean v) throws RuntimeException

Operation setVisibility

returns the default visibility of a 'set' operation generated
through the attribute and relation 'add set operation' menu

Declaration :

- Uml : static, + setVisibility() : aVisibility
- C++ : public: static aVisibility setVisibility()
- Java : public static aVisibility setVisibility()

Operation set_SetVisibility

set the default visibility of a 'set' operation generated
through the attribute and relation 'add set operation' menu
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_SetVisibility(in v : aVisibility) : bool, exceptions : RuntimeException
- C++ : public: static bool set_SetVisibility(aVisibility v)
- Java : public static void set_SetVisibility(aVisibility v) throws RuntimeException

Operation setName

returns the default name of a 'set' operation generated
through the attribute and relation 'add set operation' menu

Declaration :

- Uml : static, + setName() : string
- C++ : public: static const QCString & setName()
- Java : public static String setName()

Operation set_SetName

set the default name of a 'set' operation generated
through the attribute and relation 'add set operation' menu
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_SetName(in v : string) : bool, exceptions : RuntimeException
- C++ : public: static bool set_SetName(QCString v)
- Java : public static void set_SetName(String v) throws RuntimeException

Operation isSetInline

returns if a 'set' operation generated through the attribute
and relation 'add set operation' menu is inline by default

Declaration :

- Uml : static, + isSetInline() : bool
- C++ : public: static bool isSetInline()
- Java : public static boolean isSetInline()

Operation set_IsSetInline

set if a 'set' operation generated through the attribute
and relation 'add set operation' menu is inline by default
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_IsSetInline(in v : bool) : bool, exceptions : RuntimeException
- C++ : public: static bool set_IsSetInline(bool v)
- Java : public static void set_IsSetInline(boolean v) throws RuntimeException

Operation isSetParamConst

returns if the parameters of a 'set' operation generated through the
attribute and relation 'add set operation' menu are const by default

Declaration :

- Uml : static, + isSetParamConst() : bool
- C++ : public: static bool isSetParamConst()
- Java : public static boolean isSetParamConst()

Operation set_IsSetParamConst

set if the parameters of a 'set' operation generated through the
attribute and relation 'add set operation' menu are const by default
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_IsSetParamConst(in v : bool) : bool, exceptions : RuntimeException
- C++ : public: static bool set_IsSetParamConst(bool v)
- Java : public static void set_IsSetParamConst(boolean v) throws RuntimeException

Operation isSetParamRef

return if the parameter of a 'set' operation generated through the
attribute and relation 'add set operation' menu is a reference by default

Declaration :

- Uml : static, + isSetParamRef() : bool
- C++ : public: static bool isSetParamRef()
- Java : public static boolean isSetParamRef()

Operation set_IsSetParamRef

set if the parameter of a 'set' operation generated through the
attribute and relation 'add set operation' menu is a reference by default
On error : return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : static, + set_IsSetParamRef(in v : bool) : bool, exceptions : RuntimeException
- C++ : public: static bool set_IsSetParamRef(bool v)
- Java : public static void set_IsSetParamRef(boolean v) throws RuntimeException

Operation CppSettings

never called !

Declaration :

- Uml : - CppSettings() :
- C++ : private: CppSettings()
- Java : private CppSettings()

Attribute _defined

Declaration :

- Uml : static, - _defined : bool
- C++ : private: static bool _defined
- Java : private static boolean _defined

Attribute _root

Declaration :

- Uml : static, - _root : string
- C++ : private: static QCString _root
- Java : private static String _root

Attribute _in

Declaration :

- Uml : static, - _in : string
- C++ : private: static QCString _in
- Java : private static String _in

Attribute _out

Declaration :

- Uml : static, - _out : string
- C++ : private: static QCString _out
- Java : private static String _out

Attribute _inout

Declaration :

- Uml : static, - _inout : string
- C++ : private: static QCString _inout
- Java : private static String _inout

Attribute _return

Declaration :

- Uml : static, - _return : string
- C++ : private: static QCString _return
- Java : private static String _return

Attribute _enum_in

Declaration :

- Uml : static, - _enum_in : string
- C++ : private: static QCString _enum_in
- Java : private static String _enum_in

Attribute _enum_out

Declaration :

- Uml : static, - _enum_out : string
- C++ : private: static QCString _enum_out
- Java : private static String _enum_out

Attribute _enum_inout

Declaration :

- Uml : static, - _enum_inout : string
- C++ : private: static QCString _enum_inout
- Java : private static String _enum_inout

Attribute _enum_return

Declaration :

- Uml : static, - _enum_return : string
- C++ : private: static QCString _enum_return
- Java : private static String _enum_return

Attribute _class_decl

Declaration :

- Uml : static, - _class_decl : string
- C++ : private: static QCString _class_decl
- Java : private static String _class_decl

Attribute _external_class_decl

Declaration :

- Uml : static, - _external_class_decl : string
- C++ : private: static QCString _external_class_decl
- Java : private static String _external_class_decl

Attribute _struct_decl

Declaration :

- Uml : static, - _struct_decl : string
- C++ : private: static QCString _struct_decl
- Java : private static String _struct_decl

Attribute _union_decl

Declaration :

- Uml : static, - _union_decl : string
- C++ : private: static QCString _union_decl
- Java : private static String _union_decl

Attribute _enum_decl

Declaration :

- Uml : static, - _enum_decl : string
- C++ : private: static QCString _enum_decl
- Java : private static String _enum_decl

Attribute _typedef_decl

Declaration :

- Uml : static, - _typedef_decl : string
- C++ : private: static QCString _typedef_decl
- Java : private static String _typedef_decl

Attribute _attr_decl

Declaration :

- Uml : static, - _attr_decl : string
- C++ : private: static QCString _attr_decl[3/*multiplicity*/]
- Java : private static String _attr_decl[/*multiplicity*/]

Attribute _enum_item_decl

Declaration :

- Uml : static, - _enum_item_decl : string
- C++ : private: static QCString _enum_item_decl
- Java : private static String _enum_item_decl

Attribute _rel_decl

Declaration :

- Uml : static, - _rel_decl : string
- C++ : private: static QCString _rel_decl[2/*relation kind*/][3/*multiplicity*/]
- Java : private static String[][] _rel_decl

Attribute _oper_decl

Declaration :

- Uml : static, - _oper_decl : string
- C++ : private: static QCString _oper_decl
- Java : private static String _oper_decl

Attribute _oper_def

Declaration :

- Uml : static, - _oper_def : string
- C++ : private: static QCString _oper_def
- Java : private static String _oper_def

Attribute _force_oper_throw

Declaration :

- Uml : static, - _force_oper_throw : bool
- C++ : private: static bool _force_oper_throw
- Java : private static boolean _force_oper_throw

Relation _get_visibility (<directional composition>)

Declaration :

- Uml : static, - _get_visibility : aVisibility
- C++ : private: static aVisibility _get_visibility
- Java : private static aVisibility _get_visibility

Attribute _get_name

Declaration :

- Uml : static, - _get_name : string
- C++ : private: static QCString _get_name
- Java : private static String _get_name

Attribute _is_get_inline

Declaration :

- Uml : static, - _is_get_inline : bool
- C++ : private: static bool _is_get_inline
- Java : private static boolean _is_get_inline

Attribute _is_get_const

Declaration :

- Uml : static, - _is_get_const : bool
- C++ : private: static bool _is_get_const
- Java : private static boolean _is_get_const

Attribute _is_get_value_const

Declaration :

- Uml : static, - _is_get_value_const : bool
- C++ : private: static bool _is_get_value_const
- Java : private static boolean _is_get_value_const

Relation _set_visibility (<directional composition>)

Declaration :

- Uml : static, - _set_visibility : aVisibility
- C++ : private: static aVisibility _set_visibility
- Java : private static aVisibility _set_visibility

Attribute _set_name

Declaration :

- Uml : static, - _set_name : string
- C++ : private: static QCString _set_name
- Java : private static String _set_name

Attribute _is_set_inline

Declaration :

- Uml : static, - _is_set_inline : bool
- C++ : private: static bool _is_set_inline
- Java : private static boolean _is_set_inline

Attribute _is_set_param_const

Declaration :

- Uml : static, - _is_set_param_const : bool
- C++ : private: static bool _is_set_param_const
- Java : private static boolean _is_set_param_const

Attribute _is_set_param_ref

Declaration :

- Uml : static, - _is_set_param_ref : bool
- C++ : private: static bool _is_set_param_ref
- Java : private static boolean _is_set_param_ref

Attribute _h_content

Declaration :

- Uml : static, - _h_content : string
- C++ : private: static QCString _h_content
- Java : private static String _h_content

Attribute _src_content

Declaration :

- Uml : static, - _src_content : string
- C++ : private: static QCString _src_content
- Java : private static String _src_content

Attribute _h_ext

Declaration :

- Uml : static, - _h_ext : string
- C++ : private: static QCString _h_ext
- Java : private static String _h_ext

Attribute _src_ext

Declaration :

- Uml : static, - _src_ext : string
- C++ : private: static QCString _src_ext
- Java : private static String _src_ext

Attribute _dir_regexp

Declaration :

- Uml : static, - _dir_regexp : string
- C++ : private: static QCString _dir_regexp
- Java : private static String _dir_regexp

Attribute _dir_regexp_case_sensitive

Declaration :

- Uml : static, - _dir_regexp_case_sensitive : bool
- C++ : private: static bool _dir_regexp_case_sensitive
- Java : private static boolean _dir_regexp_case_sensitive

Attribute _file_regexp

Declaration :

- Uml : static, - _file_regexp : string
- C++ : private: static QCString _file_regexp
- Java : private static String _file_regexp

Attribute _file_regexp_case_sensitive

Declaration :

- Uml : static, - _file_regexp_case_sensitive : bool
- C++ : private: static bool _file_regexp_case_sensitive
- Java : private static boolean _file_regexp_case_sensitive

Attribute _incl_with_path

Declaration :

- Uml : static, - _incl_with_path : bool
- C++ : private: static bool _incl_with_path
- Java : private static boolean _incl_with_path

Attribute _is_relative_path

Declaration :

- Uml : static, - _is_relative_path : bool
- C++ : private: static bool _is_relative_path
- Java : private static boolean _is_relative_path

Attribute _is_root_relative_path

Declaration :

- Uml : static, - _is_root_relative_path : bool
- C++ : private: static bool _is_root_relative_path
- Java : private static boolean _is_root_relative_path

Attribute _is_force_namespace_gen

Declaration :

- Uml : static, - _is_force_namespace_gen : bool
- C++ : private: static bool _is_force_namespace_gen
- Java : private static boolean _is_force_namespace_gen

Attribute _is_generate_javadoc_comment

Declaration :

- Uml : static, - _is_generate_javadoc_comment : bool
- C++ : private: static bool _is_generate_javadoc_comment
- Java : private static boolean _is_generate_javadoc_comment

Attribute _is_inline_force_header_in_h

Declaration :

- Uml : static, - _is_inline_force_header_in_h : bool
- C++ : private: static bool _is_inline_force_header_in_h
- Java : private static boolean _is_inline_force_header_in_h

Attribute _map_includes

Declaration :

- Uml : static, - _map_includes : string
- C++ : private: static QDict<QCString> _map_includes
- Java : private static Hashtable _map_includes

Operation read_

internal, do NOT use it

Declaration :

- Uml : static, # read_() : void
- C++ : protected: static void read_()
- Java : protected static void read_()

Operation read_if_needed_

internal, do NOT use it

Declaration :

- Uml : static, # read_if_needed_() : void
- C++ : protected: static void read_if_needed_()
- Java : protected static void read_if_needed_()

All public operations : artifactDescription , attributeDecl , attributeDescription , builtinIn , builtinInOut , builtinOut , builtinReturn , classDecl , classDescription , classStereotype , classUmlStereotype , enumDecl , enumIn , enumInout , enumItemDecl , enumOut , enumReturn , externalClassDecl , getName , getVisibility , headerContent , headerExtension , in , include , includeWithPath , inout , isForceNamespacePrefixGeneration , isGenerateJavadocStyleComment , isGetConst , isGetInline , isGetValueConst , isInlineOperationForceIncludesInHeader , isRelativePath , isReverseRoundtripDirRegExpCaseSensitive , isReverseRoundtripFileRegExpCaseSensitive , isRootRelativePath , isSetInline , isSetParamConst , isSetParamRef , operationDecl , operationDef , operationDescription , operationForceThrow , out , relationAttributeStereotype , relationAttributeUmlStereotype , relationDecl , relationDescription , Return , reverseRoundtripDirRegExp , reverseRoundtripFileRegExp , rootDir , set_ArtifactDescription , set_AttributeDecl , set_AttributeDescription , set_BuiltinIn , set_BuiltinInOut , set_BuiltinOut , set_BuiltinReturn , set_ClassDecl , set_ClassDescription , set_ClassStereotype , set_EnumDecl , set_EnumIn , set_EnumInout , set_EnumItemDecl , set_EnumOut , set_EnumReturn , set_ExternalClassDecl , set_GetName , set_GetVisibility , set_HeaderContent , set_HeaderExtension , set_In , set_Include , set_IncludeWithPath , set_Inout , set_IsForceNamespacePrefixGeneration , set_IsGenerateJavadocStyleComment , set_IsGetConst , set_IsGetInline , set_IsGetValueConst , set_IsInlineOperationForceIncludesInHeader , set_IsRelativePath , set_IsRootRelativePath , set_IsSetInline , set_IsSetParamConst , set_IsSetParamRef , set_OperationDecl , set_OperationDef , set_OperationDescription , set_OperationForceThrow , set_Out , set_RelationAttributeStereotype , set_RelationDecl , set_RelationDescription , set_Return , set_ReverseRoundtripDirRegExp , set_ReverseRoundtripFileRegExp , set_RootDir , set_SetName , set_SetVisibility , set_SourceContent , set_SourceExtension , set_StructDecl , set_Type , set_TypedefDecl , set_UmlGetName , set_UmlSetName , set_UnionDecl , set_UseDefaults , setName , setVisibility , sourceContent , sourceExtension , structDecl , type , typedefDecl , umlGetName , umlSetName , umlType , unionDecl , useDefaults